Avro C#

Public Member Functions | List of all members
Avro.Specific.SpecificWriter< T > Class Template Reference

Generic wrapper class for writing data from specific objects More...

Inheritance diagram for Avro.Specific.SpecificWriter< T >:

## Public Member Functions
| SpecificWriter (Schema schema)
| Initializes a new instance of the SpecificWriter<T> class. More...
| SpecificWriter (SpecificDefaultWriter writer)
| Initializes a new instance of the SpecificWriter<T> class using the provided SpecificDefaultWriter. More...
Public Member Functions inherited from Avro.Generic.GenericWriter< T >
| GenericWriter (Schema schema)
| Initializes a new instance of the GenericWriter<T> class. More...
| GenericWriter (DefaultWriter writer)
| Initializes a new instance of the GenericWriter<T> class from a DefaultWriter. More...
void | Write (T value, Encoder encoder)
| Serializes the given object using this writer's schema. More...

## Additional Inherited Members
Properties inherited from Avro.Generic.GenericWriter< T >
Schema | Schema`[get]`
Properties inherited from Avro.Generic.DatumWriter< T >
Schema | Schema`[get]`
| Schema used to write the data. More...

## Detailed Description

Generic wrapper class for writing data from specific objects

Template Parameters

  T | type name of specific object

## Constructor & Destructor Documentation

## ◆ SpecificWriter() [1/2]

Avro.Specific.SpecificWriter< T >.SpecificWriter | ( | Schema | schema | ) |
| inline

Initializes a new instance of the SpecificWriter<T> class.

Parameters

  schema | Schema to use when writing.

## ◆ SpecificWriter() [2/2]

Avro.Specific.SpecificWriter< T >.SpecificWriter | ( | SpecificDefaultWriter | writer | ) |
| inline

Initializes a new instance of the SpecificWriter<T> class using the provided SpecificDefaultWriter.

Parameters

  writer | Default writer to use.

The documentation for this class was generated from the following file:

- src/apache/main/Specific/SpecificWriter.cs